package com.sjyt.icom.asst.common.model.room;

import com.sjyt.icom.asst.common.model.message.News;
import lombok.experimental.SuperBuilder;

/**
 * <p>TODO</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/7/1 9:38
 */
@SuperBuilder(toBuilder = true)
public class IcomClient extends AbsClient {
    @Override
    public void send(News news) {

    }

    @Override
    public void receive(News news) {

    }

    public void putOnRoom(AbsRoom absRoom){
        absRoom.register(this);
    }
}
